de.caff.i18n.swing

## Class I18nHelper

- java.lang.Object
- - de.caff.i18n.swing.I18nHelper

-     public class I18nHelper
      extends java.lang.Object

  Utility class for i18n settings.
  Author:
    Rammi

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `I18nHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `setProperties(javax.swing.AbstractButton button, java.lang.String tag, java.util.Locale locale)` Set the relevant properties of a button.
    `static void` | `setProperties(javax.swing.JLabel button, java.lang.String tag, java.util.Locale locale)` Set the relevant properties of a label.
    `static void` | `setProperties(javax.swing.JMenuItem menuItem, java.lang.String tag, java.util.Locale locale)` Set the relevant properties of a menu item.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### I18nHelper

          public I18nHelper()

  - ### Method Detail

    - #### setProperties

          public static void setProperties(@NotNull
                                           javax.swing.JMenuItem menuItem,
                                           @NotNull
                                           java.lang.String tag,
                                           @Nullable
                                           java.util.Locale locale)

      Set the relevant properties of a menu item.
      Parameters:
        `menuItem` - menu item which properties are set
        `tag` - base i18n tag
        `locale` - locale to use

    - #### setProperties

          public static void setProperties(@NotNull
                                           javax.swing.AbstractButton button,
                                           @NotNull
                                           java.lang.String tag,
                                           @Nullable
                                           java.util.Locale locale)

      Set the relevant properties of a button.
      Parameters:
        `button` - button which properties are set
        `tag` - base i18n tag
        `locale` - locale to use

    - #### setProperties

          public static void setProperties(@NotNull
                                           javax.swing.JLabel button,
                                           @NotNull
                                           java.lang.String tag,
                                           @Nullable
                                           java.util.Locale locale)

      Set the relevant properties of a label.
      Parameters:
        `button` - label which properties are set
        `tag` - base i18n tag
        `locale` - locale to use